Go to the first, previous, next, last section, table of contents.

### commit options

These standard options are supported by `commit` (see section Common command options, for a complete description of them):

`-l`
  Local; run only in current working directory.
`-n`
  Do not run any module program.
`-R`
  Commit directories recursively. This is on by default.
`-r revision`
  Commit to revision. revision must be either a branch, or a revision on the main trunk that is higher than any existing revision number. You cannot commit to a specific revision on a branch.

`commit` also supports these options:

`-F file`
  This option is present in CVS releases 1.3-s3 and later. Read the log message from file, instead of invoking an editor.
`-f`
  This option is present in CVS 1.3-s3 and later releases of CVS. Note that this is not the standard behavior of the ``-f'` option as defined in See section Common command options. Force CVS to commit a new revision even if you haven't made any changes to the file. If the current revision of file is 1.7, then the following two commands are equivalent:

      $ cvs commit -f file
      $ cvs commit -r 1.8 file

`-f file`
  This option is present in CVS releases 1.3, 1.3-s1 and 1.3-s2. Note that this is not the standard behavior of the ``-f'` option as defined in See section Common command options. Read the log message from file, instead of invoking an editor.
`-m message`
  Use message as the log message, instead of invoking an editor.

Go to the first, previous, next, last section, table of contents.